summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJan-Benedict Glaw <jbglaw@lug-owl.de>2017-01-31 10:06:47 +0100
committerAndrew Shadura <andrew.shadura@collabora.co.uk>2017-11-24 15:58:09 +0000
commitb62293e1f1f8e9a79c732de933ef5fc2a7cf06c1 (patch)
treefbb19f333a1fc6f3c090fc3d391ef26945789196
parent340f2857d447f642336a6e1454fb65f357400eb4 (diff)
Consider all ifupdown configuration, not only /etc/network/interfaces
/etc/wpa_supplicant/functions.sh used to only look at the /etc/network/interfaces file. However, common configurations contain an include statement for ie. /etc/network/interfaces.d/* Do not do the parsing here, but just query properties of the given interface. If that works, there's a matching "iface" stanca. Gbp-Dch: Short Closes: #853293
-rw-r--r--debian/ifupdown/functions.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/debian/ifupdown/functions.sh b/debian/ifupdown/functions.sh
index 67ac946..3d873a2 100644
--- a/debian/ifupdown/functions.sh
+++ b/debian/ifupdown/functions.sh
@@ -931,10 +931,8 @@ ifup () {
fi
if [ -n "$WPA_LOGICAL_IFACE" ]; then
- if egrep -q "^iface[[:space:]]+${WPA_LOGICAL_IFACE}[[:space:]]+inet" "$INTERFACES_FILE"; then
- : # logical network is defined
- else
- wpa_msg log "network settings not defined for $WPA_LOGICAL_IFACE in $INTERFACES_FILE"
+ if ! /sbin/ifquery "${WPA_LOGICAL_IFACE}" > /dev/null 2/&1; then
+ wpa_msg log "network settings not defined for $WPA_LOGICAL_IFACE in $INTERFACES_FILE and included files."
WPA_LOGICAL_IFACE="default"
fi